      double precision function anorm_distr(x,sigma,alowb,aupb)
      implicit real*8 (a-h,o-z)
c     print '(a)','Enter ANORM_DISTR.'
   10 y=ran_number(alowb,aupb)
      expon=dexp(-0.5D0*((y-x)/sigma)**2)
      ran=ran_number(0.0D0,1.0D0)
      if (expon.lt.ran) goto 10
      anorm_distr=y
c     print '(a)','Exiting ANORM_DISTR.'
      return
      end
